#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	pushover
Summary:	Bindings for the Pushover notification service
Name:		python-%{module}
Version:	0.4
Release:	10
License:	GPL v3+
Group:		Libraries/Python
Source0:	https://github.com/Thibauth/python-pushover/archive/v%{version}.tar.gz
# Source0-md5:	306c1fea53917263f854cd63b17c7fa0
URL:		https://github.com/Thibauth/python-pushover
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.713
%if %{with python2}
BuildRequires:	python-modules
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-fissix
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
%endif
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bindings for the Pushover notification service

%package -n python3-%{module}
Summary:	Bindings and command line utility for the Pushover notification service
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{module}
Bindings and command line utility for the Pushover notification
service.

%prep
%setup -q

%if %{with python3}
sed -i -e 's#use_2to3=True,##g' setup.py
install -d bsrc-3
cp -a [^b]* bsrc-3
%{__python3} -m fissix --write --nobackups bsrc-3
%endif

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
cd bsrc-3
%py3_build %{?with_tests:test}
cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install
%py_postclean
%endif

%if %{with python3}
cd bsrc-3
%py3_install
cd ..
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS.rst CHANGES.rst README.rst
%{py_sitescriptdir}/%{module}.py[co]
%{py_sitescriptdir}/python_%{module}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc AUTHORS.rst CHANGES.rst README.rst
%attr(755,root,root) %{_bindir}/pushover
%{py3_sitescriptdir}/%{module}.py
%{py3_sitescriptdir}/__pycache__/%{module}.*.pyc
%{py3_sitescriptdir}/python_%{module}-%{version}-py*.egg-info
%endif
%changelog
* Sat May 24 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pushover.git;a=log;h=master

* Sat May 24 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 228314e
- Rel 10; use fissix instead of 2to3

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 7c887ea
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> e306f4f
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> be29712
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> efa96fb
- Release 6 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> e81f189
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> a6bcc5e
- rebuild with python 3.10

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 7bd33bb
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> a1f9641
- rebuild with python 3.8
- release 2 (by relup.sh)

* Tue Mar 05 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> e5adc4d
- up to 0.4

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> c3b79ee
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> ecd5816
- python 3.6
- release 2 (by relup.sh)

* Mon Apr 11 2016 Elan Ruusamäe <glen@delfi.ee> 6fbb082
- cleanups

* Mon Apr 11 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 53e08cb
- poll fix

* Mon Apr 11 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> e5b70bd
- initial

